extends Node

# Time Variables

var day : int
var week : int
var month : int
var season : int
var year : int
var total_day : int

# Finance Variables

var funds : int
var pupil_funding : float
var pupils_income : float
var operating_costs : float
var land_lease : int
var cteacher_salary : float
var salary_cost : float

# Population Variables

var pupil_pop : int
var max_pupils : int
var pupil_baseid : int
var teacher_baseid : int
var total_pupils_in_game : int
var total_pupils_in_school : int
var teacher_pop : int
var pupil_difference : int

# Rating Variables

var school_level : int
var rating : float

# Building Variables

var classroom_count : int

# Game Management Variables

var loaded_game : bool

# Policy Variables

var pupils_per_classroom : int
var pupil_fee : float

# Principal Variables

var principal_name : String

# School Variables

var school_name : String

# Building & Staffing Costs

var classroom_cost : int
var cpdroom_cost : int
var staffroom_cost : int
var teacher_hire : int
var classroom_operating : float
var cpdroom_operating : float
var staffroom_operating : float

# Unique Buildings

var has_staffroom : bool
var has_cpdroom : bool

# Called when the node enters the scene tree for the first time.
func _ready():
	
	# Setting things up for a new game (Easy difficulty)
	
	if loaded_game == false:
	#	Initial Timer Stuff
		loaded_game = true
		day = 1
		week = 1
		month = 1
		season = 1
		year = 1
		total_day = 1
		pupil_fee = 0
		pupil_funding = 200.00
		funds = 20000
		cteacher_salary = 2000.00
		pupils_per_classroom = 20
		rating = 1.0
		principal_name = "Joe Bloggs"
		school_level = 1
		pupil_baseid = 0
		teacher_pop = 0
		teacher_hire = 2000
		# Building Costs
		classroom_cost = 7500
		staffroom_cost = 5000
		cpdroom_cost = 12500
		# Operating Costs
		classroom_operating = 1600.00
		cpdroom_operating  = 1500.00
		staffroom_operating = 1000.00
		has_cpdroom = false
		has_staffroom = false
